%global srcname columnize
%global sum A Python module to align in columns a simple list

Name:           pycolumnize
Version:        0.3.9
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://github.com/rocky/pycolumnize
Source0:        https://files.pythonhosted.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-nose
BuildRequires:  python3-devel
BuildRequires:  python3-nose

%description
A Python module to format a simple (i.e. not nested) list into aligned columns.
A string with embedded newline characters is returned.

%package -n python2-%{srcname}
Summary:        %{sum}
Requires:       python2-backports-shutil_get_terminal_size
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
A Python module to format a simple (i.e. not nested) list into aligned columns.
A string with embedded newline characters is returned.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A Python module to format a simple (i.e. not nested) list into aligned columns.
A string with embedded newline characters is returned.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

#%%check
#%%{__python2} setup.py nosetests
#%%if 0%%{?with_python3}
#pushd %%{py3dir}
#%%{__python3} setup.py nosetests
#popd
#%%endif

%files -n python2-%{srcname}
%doc NEWS README.rst
%license LICENSE
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{srcname}.py*

%files -n python3-%{srcname}
%doc NEWS README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/__pycache__/%{srcname}*
%{python3_sitelib}/%{srcname}.py*

%changelog
* Tue Jul 19 2016 Dominika Krejci <dkrejci@redhat.com> - 0.3.9-1
- Update to lastest upsteam release 0.3.9

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 14 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.8-3
- Cleanup

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jan 18 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.8-1
- Update to lastest upsteam release 0.3.8

* Sun Jan 18 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.7-1
- Update to lastest upsteam release 0.3.7

* Fri Oct 03 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.5-2
- Add py3 package
- Enable check

* Sun Aug 03 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.5-1
- Update spec file
- Update to lastest upsteam release 0.3.5

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.3.3-7
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 14 2011 Kushal Das <kushal@fedoraproject.org> - 0.3.3-1
- New release of the source

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 23 2009 Kushal Das <kushal@fedoraproject.org> 0.3.2-2
- Removing comments

* Tue Jun 23 2009 Kushal Das <kushal@fedoraproject.org> 0.3.2-1
- Initial release

